
/**
 * Created by JianJia.Zhou<jianjia.zhou> on 2022/8/22.
 */
const request = uni.$u.http

export function record(params) {
  return request.get(
    `user/collect/record`,
    { params }
  )
}

export function check(id) {
  return request.post(
    `user/collect/${id}/check`
  )
}

export function add(id) {
  return request.post(
    `user/collect/${id}/add`
  )
}

export function destroy(id) {
  return request.post(
    `user/collect/${id}/destroy`
  )
}

export default {
  record,
  check,
  add,
  destroy
}
